View Issue Details

IDProjectCategoryView StatusLast Update
0002725PartDesignFeaturepublic2019-07-29 15:04
Reportertriplus Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version16.04
Product Version0.17 
Target VersionFixed in Version0.18 
Summary0002725: Random color for features in PartDesignNext
DescriptionThere is convenient tool available in FreeCAD 0.16. It is used to apply random colors to selected features in one step.

It would be good if similar functionality would be available in FreeCAD 0.17.
Tagscolors
FreeCAD Information

Relationships

related to 0000848 closedabdullah PartDesign [PartDesign] Keep Transparency and Colors when adding a feature 
related to 0002316 closed FreeCAD option for "random shape color" by default 
related to 0003148 closedwmayer PartDesign PartDesign does not allow colouring of single faces for non-primitives 

Activities

Kunda1

2017-05-01 23:23

administrator   ~0008844

@triplus Is this still unimplemented in 0.17?

Kunda1

2018-02-13 00:30

administrator   ~0010955

https://forum.freecadweb.org/viewtopic.php?f=8&t=23715

Kunda1

2018-06-07 01:28

administrator   ~0011358

@triplus does https://github.com/FreeCAD/FreeCAD/pull/1339 meet this need ?

wmayer

2018-06-10 08:24

administrator   ~0011391

The random color function is still available in 0.17 (and 0.18) but it's not accessible in the PartDesign workbench. So, the request should rather be: make random color accessible in PD

Kunda1

2018-06-10 13:37

administrator   ~0011394

Changed the title of this ticket per wmayer's suggestion.

wmayer

2018-06-10 16:39

administrator   ~0011395

https://github.com/FreeCAD/FreeCAD/commit/a8daaf4a4598b760f86e821e9be04b116c3134e1

Related Changesets

FreeCAD: master a8daaf4a

2018-06-10 11:37:53

wmayer

Details Diff
fixes 0002725: Random color for features in PartDesignNext Affected Issues
0002725
mod - src/Mod/PartDesign/Gui/Workbench.cpp Diff File

Issue History

Date Modified Username Field Change
2016-10-05 17:13 triplus New Issue
2017-05-01 23:23 Kunda1 Note Added: 0008844
2017-06-07 21:16 Kunda1 Tag Attached: colors
2017-10-19 11:32 Kunda1 Relationship added related to 0003148
2017-10-19 11:33 Kunda1 Relationship added related to 0000848
2017-10-19 11:33 Kunda1 Tag Attached: #post-to-forum
2018-02-13 00:30 Kunda1 Note Added: 0010955
2018-02-21 17:04 Kunda1 Tag Detached: #post-to-forum
2018-06-07 01:28 Kunda1 Note Added: 0011358
2018-06-07 01:29 Kunda1 Relationship added related to 0002316
2018-06-10 08:24 wmayer Note Added: 0011391
2018-06-10 13:37 Kunda1 Status new => acknowledged
2018-06-10 13:37 Kunda1 Summary Random color for features => Random color for features in PartDesignNext
2018-06-10 13:37 Kunda1 Note Added: 0011394
2018-06-10 16:39 wmayer Assigned To => wmayer
2018-06-10 16:39 wmayer Status acknowledged => closed
2018-06-10 16:39 wmayer Resolution open => fixed
2018-06-10 16:39 wmayer Fixed in Version => 0.18
2018-06-10 16:39 wmayer Note Added: 0011395
2019-07-29 15:04 Kunda1 Changeset attached => FreeCAD master a8daaf4a